GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

gtpin::VariadicElement< IDX, ARGS > Class Template Reference

< Range of uintptr_t values More...

`#include <gt_basic_defs.h>`

## Detailed Description

### template<uint32_t IDX, typename... ARGS>
class gtpin::VariadicElement< IDX, ARGS >

< Range of uintptr_t values

Class that provides compile-time indexed access to the types of elements in a variadic template

Parameters:

  IDX | Ordinal number of the element in a variadic template
  ARGS | Parameter pack of a variadic template

Example: template <uint32_t IDX, class... ARGS> using MyElementType = typename VariadicElement<IDX, ARGS...>::type;

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT